Bug 1289237 - CVE-2015-7543 arts: arts,kdelibs3: Use of mktemp(3) allows attacker to hijack the IPC [fedora-all]
CVE-2015-7543 arts: arts,kdelibs3: Use of mktemp(3) allows attacker to hijack...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: arts (Show other bugs)
23
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Kofler
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2015-7543
  Show dependency treegraph
 
Reported: 2015-12-07 12:37 EST by Kurt Seifried
Modified: 2015-12-30 12:51 EST (History)
4 users (show)

See Also:
Fixed In Version: arts-1.5.10-30.fc23
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-29 17:25:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kurt Seifried 2015-12-07 12:37:02 EST
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]
Comment 1 Kurt Seifried 2015-12-07 12:37:07 EST
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1280543,1289237

# Description of your update
notes=Security fix for 

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link(s) instead:

https://bodhi.fedoraproject.org/updates/new?type_=security&bugs=1280543,1289237
Comment 2 Kevin Kofler 2015-12-10 03:27:41 EST
I'm looking into fixing this in Fedora, looks like the upstream fix should be straightforward to backport.
Comment 3 Kevin Kofler 2015-12-10 03:30:55 EST
The arts version of the code is in mcop/mcoputils.cpp.
Comment 4 Kevin Kofler 2015-12-10 03:31:26 EST
Small correction: The arts version of the code is in mcop/mcoputils.cc.
Comment 5 Kevin Kofler 2015-12-10 03:40:03 EST
We also need to remove this hack:
http://pkgs.fedoraproject.org/cgit/arts.git/tree/arts-1.5.0-check_tmp_dir.patch
which was a quick fix for bug #169631 (failure to run if lnusertemp is not found on the system), but this has since been fixed upstream by a copy&paste of the lnusertemp code (the code we need to fix here) and is thus not needed anymore, and now the check_tmp_dir patch interferes with the security fix.
Comment 6 Kevin Kofler 2015-12-10 04:03:02 EST
This should fix it:
http://pkgs.fedoraproject.org/cgit/arts.git/plain/arts-1.5.10-CVE-2015-7543.patch

Building for Rawhide now, I will issue updates for releases if it builds.
Comment 7 Kevin Kofler 2015-12-10 04:20:09 EST
This built fine for Rawhide. Updates for releases are coming ASAP (probably later today).
Comment 8 Fedora Update System 2015-12-10 10:04:08 EST
arts-1.5.10-30.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-6d473c95ee
Comment 9 Fedora Update System 2015-12-10 10:05:40 EST
arts-1.5.10-30.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-8dd01b09a9
Comment 10 Fedora Update System 2015-12-11 01:00:24 EST
arts-1.5.10-30.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update arts'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-6d473c95ee
Comment 11 Fedora Update System 2015-12-11 14:57:04 EST
arts-1.5.10-30.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update arts'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-8dd01b09a9
Comment 12 Fedora Update System 2015-12-29 17:25:17 EST
arts-1.5.10-30.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2015-12-30 12:51:04 EST
arts-1.5.10-30.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.